com.google.protobuf

## Class GeneratedMessage.FieldAccessorTable

- java.lang.Object
- - com.google.protobuf.GeneratedMessage.FieldAccessorTable

- Enclosing class:
    GeneratedMessage

      public static final class GeneratedMessage.FieldAccessorTable
      extends java.lang.Object

  Users should ignore this class. This class provides the implementation with access to the fields of a message object using Java reflection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratedMessage.FieldAccessorTable(Descriptors.Descriptor descriptor, java.lang.String[] camelCaseNames)` Construct a FieldAccessorTable for a particular message class without initializing FieldAccessors.
    `GeneratedMessage.FieldAccessorTable(Descriptors.Descriptor descriptor, java.lang.String[] camelCaseNames, java.lang.Class<? extends GeneratedMessage> messageClass, java.lang.Class<? extends GeneratedMessage.Builder> builderClass)` Construct a FieldAccessorTable for a particular message class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeneratedMessage.FieldAccessorTable` | `ensureFieldAccessorsInitialized(java.lang.Class<? extends GeneratedMessage> messageClass, java.lang.Class<? extends GeneratedMessage.Builder> builderClass)` Ensures the field accessors are initialized.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratedMessage.FieldAccessorTable

          public GeneratedMessage.FieldAccessorTable(Descriptors.Descriptor descriptor,
                                             java.lang.String[] camelCaseNames,
                                             java.lang.Class<? extends GeneratedMessage> messageClass,
                                             java.lang.Class<? extends GeneratedMessage.Builder> builderClass)

      Construct a FieldAccessorTable for a particular message class. Only one FieldAccessorTable should ever be constructed per class.
      Parameters:
        `descriptor` - The type's descriptor.
        `camelCaseNames` - The camelcase names of all fields in the message. These are used to derive the accessor method names.
        `messageClass` - The message type.
        `builderClass` - The builder type.

    - #### GeneratedMessage.FieldAccessorTable

          public GeneratedMessage.FieldAccessorTable(Descriptors.Descriptor descriptor,
                                             java.lang.String[] camelCaseNames)

      Construct a FieldAccessorTable for a particular message class without initializing FieldAccessors.

  - ### Method Detail

    - #### ensureFieldAccessorsInitialized

          public GeneratedMessage.FieldAccessorTable ensureFieldAccessorsInitialized(java.lang.Class<? extends GeneratedMessage> messageClass,
                                                                            java.lang.Class<? extends GeneratedMessage.Builder> builderClass)

      Ensures the field accessors are initialized. This method is thread-safe.
      Parameters:
        `messageClass` - The message type.
        `builderClass` - The builder type.
      Returns:
        this